import 'virtual:svg-icons-register'
import './assets/styles/index.scss'
import './assets/myStyle.scss'
import './assets/customStyle.scss'

import {createApp} from 'vue'

import App from './App.vue'
import store from './stores'
import router from './router'

import useIcons from './plugins/use-icons'

const app = createApp(App)

app.use(store)
app.use(router)

useIcons(app)

// 三方组件
import JsonViewer from "vue3-json-viewer";
import "vue3-json-viewer/dist/index.css"; // 引入样式
app.use(JsonViewer)

app.mount('#app')

window.logjson = function (obj) {
  console.log(JSON.parse(JSON.stringify(obj)))
}