import {systemChartCategory} from '@/api/charts'

const useChartStore = defineStore('chart', () => {
  const state = reactive({
    categoryList: []
  })
  const getCategory = () => {
    if (state.categoryList.length) return Promise.resolve()
    return new Promise(resolve => {
      systemChartCategory().then(res => {
        state.categoryList = res.data
        resolve()
      })
    })
  }
  return {
    ...toRefs(state),
    getCategory,
  }
})

export default useChartStore