import {tenantList} from '@/api/system'

const useSystemStore = defineStore('chart', () => {
  const state = reactive({
    tenantList: []
  })
  const getTenantList = () => {
    if (state.tenantList.length) return Promise.resolve()
    return new Promise(resolve => {
      tenantList().then(res => {
        state.tenantList = res.data
        resolve()
      })
    })
  }
  return {
    state,
    getTenantList,
  }
})

export default useSystemStore