import config from "@/config";

export function getToken() {
  if (import.meta.env.VITE_APP_ENV === 'development' && config.skipLogin) {
    return config.developmentToken
  } else {
    return window.localStorage.getItem(config.TOKEN_KEY)
  }
}

export function setToken(token) {
  return window.localStorage.setItem(config.TOKEN_KEY, token)
}

export function getRefreshToken() {
  return window.localStorage.getItem(config.REFRESH_TOKEN_KEY)
}

export function setRefreshToken(token) {
  return window.localStorage.setItem(config.REFRESH_TOKEN_KEY, token)
}

export function removeToken() {
  return window.localStorage.removeItem(config.TOKEN_KEY)
}

export function removeRefreshToken() {
  return window.localStorage.removeItem(config.REFRESH_TOKEN_KEY)
}

