import vue from '@vitejs/plugin-vue'
import useAutoImport from './use-auto-import'
import useSvgIconsPlugin from './use-svg-icon'
import useComponents from './use-components'
import requireTransform from 'vite-plugin-require-transform';

const useVitePlugins = () => {
  return [
    vue(),
    useComponents(),
    useAutoImport(),
    useSvgIconsPlugin(),
    requireTransform({fileRegex: /.js$|.vue$/}),
  ]
}

export default useVitePlugins